## org.eclipse.datatools.enablement.ase.containment
Class SybaseASEDefaultContainmentProvider

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.core.containment.AbstractContainmentProvider
          org.eclipse.datatools.enablement.ase.containment.SybaseASEDefaultContainmentProvider

All Implemented Interfaces:
  org.eclipse.datatools.connectivity.sqm.internal.core.containment.ContainmentProvider

    public class SybaseASEDefaultContainmentProvider

extends AbstractContainmentProvider

Sybase ASE Default containment provider

Author:
  renj

Constructor Summary
`SybaseASEDefaultContainmentProvider()`

Method Summary
`org.eclipse.emf.ecore.EObject` `getContainer(org.eclipse.emf.ecore.EObject obj)`
`java.lang.String` `getGroupId(org.eclipse.emf.ecore.EObject obj)`

Methods inherited from class org.eclipse.datatools.connectivity.sqm.core.containment.AbstractContainmentProvider
`getContainedElements, getContainmentFeature, isDisplayableElement`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SybaseASEDefaultContainmentProvider

    public SybaseASEDefaultContainmentProvider()

Method Detail

### getContainer

    public org.eclipse.emf.ecore.EObject getContainer(org.eclipse.emf.ecore.EObject obj)

  Specified by:
    `getContainer` in interface `org.eclipse.datatools.connectivity.sqm.internal.core.containment.ContainmentProvider`
  Overrides:
    `getContainer` in class `AbstractContainmentProvider`

### getGroupId

    public java.lang.String getGroupId(org.eclipse.emf.ecore.EObject obj)